DoubleRange (Lucene 10.5.1 facet API)
Description: declaration: package: org.apache.lucene.facet.range, class: DoubleRange

Package org.apache.lucene.facet.range

# Class DoubleRange

java.lang.Object
org.apache.lucene.facet.range.Range
org.apache.lucene.facet.range.DoubleRange

public final class DoubleRange extends Range
Represents a range over double values.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final double`
  `max`
  Maximum (inclusive.
  `final double`
  `min`
  Minimum (inclusive).

  ### Fields inherited from class org.apache.lucene.facet.range.Range

  `label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DoubleRange(String label, double minIn, boolean minInclusive, double maxIn, boolean maxInclusive)`
  Create a DoubleRange.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `accept(double value)`
  True if this range accepts the provided value.
  `boolean`
  `equals(Object _that)`
  `Query`
  `getQuery(Query fastMatchQuery, MultiDoubleValuesSource valueSource)`
  Create a Query that matches documents in this range
  `Query`
  `getQuery(Query fastMatchQuery, DoubleValuesSource valueSource)`
  Create a Query that matches documents in this range
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.lucene.facet.range.Range

  `failNoMatch`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### min

    public final double min
    Minimum (inclusive).

  - ### max

    public final double max
    Maximum (inclusive.

- ## Constructor Details

  - ### DoubleRange

    public DoubleRange(String label, double minIn, boolean minInclusive, double maxIn, boolean maxInclusive)
    Create a DoubleRange.

- ## Method Details

  - ### accept

    public boolean accept(double value)
    True if this range accepts the provided value.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object _that)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### getQuery

    public Query getQuery(Query fastMatchQuery, DoubleValuesSource valueSource)
    Create a Query that matches documents in this range

    The query will check all documents that match the provided match query, or every document in the index if the match query is null.

    If the value source is static, eg an indexed numeric field, it may be faster to use `PointRangeQuery`

    Parameters:
      `fastMatchQuery` - a query to use as a filter
      `valueSource` - the source of values for the range check

  - ### getQuery

    public Query getQuery(Query fastMatchQuery, MultiDoubleValuesSource valueSource)
    Create a Query that matches documents in this range

    The query will check all documents that match the provided match query, or every document in the index if the match query is null.

    If the value source is static, eg an indexed numeric field, it may be faster to use `PointRangeQuery`

    Parameters:
      `fastMatchQuery` - a query to use as a filter
      `valueSource` - the source of values for the range check